package libc6 2.31-0ubuntu9.2 failed to install/upgrade: new libc6:arm64 package post-removal script subprocess returned error exit status 127

Bug #1927059 reported by Juan Pedro Paredes on 2021-05-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
glibc (Ubuntu)
Undecided
Unassigned

Bug Description

from arm64 focal to groovy release upgrade
Progress: [ 48%]
Unpacking libnss-nisplus:arm64 (1.3-0ubuntu4) ...
Replacing files in old package libc6:arm64 (2.31-0ubuntu9.2) ...
Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.32-0ubuntu3_arm64.deb
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/libc6.0.crash'
Exception during pm.DoInstall(): E:Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
DistroRelease: Ubuntu 20.04
Package: libc6 2.31-0ubuntu9.2
ProcVersionSignature: Ubuntu 5.4.0-1047.49-aws 5.4.101
Uname: Linux 5.4.0-1047-aws aarch64
ApportVersion: 2.20.11-0ubuntu27.16
Architecture: arm64
CasperMD5CheckResult: skip
Date: Tue May 4 09:15:41 2021
Df:

Dmesg:

Ec2AMI: ami-016862c57a1eee0c6
Ec2AMIManifest: (unknown)
Ec2AvailabilityZone: eu-north-1a
Ec2InstanceType: t4g.medium
Ec2Kernel: unavailable
Ec2Ramdisk: unavailable
ErrorMessage: new libc6:arm64 package post-removal script subprocess returned error exit status 127
Python3Details: /usr/bin/python3.8, Python 3.8.5, python3-minimal, 3.8.2-0ubuntu2
PythonDetails: N/A
RelatedPackageVersions:
 dpkg 1.19.7ubuntu3
 apt 2.0.5
SourcePackage: glibc
Title: package libc6 2.31-0ubuntu9.2 failed to install/upgrade: new libc6:arm64 package post-removal script subprocess returned error exit status 127
UpgradeStatus: Upgraded to focal on 2021-05-04 (0 days ago)

Juan Pedro Paredes (juampe) wrote :
Juan Pedro Paredes (juampe) wrote :

Unpacking libc6:arm64 (2.32-0ubuntu3) over (2.31-0ubuntu9.2) ...
Inconsistency detected by ld.so: dl-call-libc-early-init.c: 37: _dl_call_libc_early_init: Assertion `sym != NULL' failed!
dpkg: warning: old libc6:arm64 package post-removal script subprocess returned error exit status 127
dpkg: trying script from the new package instead ...
Inconsistency detected by ld.so: dl-call-libc-early-init.c: 37: _dl_call_libc_early_init: Assertion `sym != NULL' failed!
dpkg: error processing archive /var/cache/apt/archives/libc6_2.32-0ubuntu3_arm64.deb (--unpack):
 new libc6:arm64 package post-removal script subprocess returned error exit status 127
Inconsistency detected by ld.so: dl-call-libc-early-init.c: 37: _dl_call_libc_early_init: Assertion `sym != NULL' failed!
dpkg: error while cleaning up:
 installed libc6:arm64 package pre-installation script subprocess returned error exit status 127
Errors were encountered while processing:
 /var/cache/apt/archives/libc6_2.32-0ubuntu3_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

tags: removed: need-duplicate-check
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers